<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

    if(isset($_GET['key'])&&$_GET['key']=="brt6k11t"){
        require_once("../connect.php");

        // Tworzenie połączenia
                    $conn = new mysqli($host, $user, $pass, $database);

        // Sprawdzenie połączenia
        if ($conn->connect_error) {
            die("Połączenie nieudane: " . $conn->connect_error);
        }

        // Zapytanie SQL do pobrania danych i obliczenia kosztu na każdy dzień
        $sql = "
            SELECT
                e.date,
                e.pv_energy,
                b.price AS kWh_price,
                (e.pv_energy * b.price) AS total_cost
            FROM
                energy e
            JOIN
                billings b
            ON
                e.date BETWEEN b.start_date AND b.end_date
            ORDER BY
                e.date;
            ";

        $result = $conn->query($sql);

        $sql_min = "SELECT Min(date) AS MinDate FROM energy";
        $sql_max = "SELECT Max(date) AS MaxDate FROM energy";

        $result_min = $conn->query($sql_min);
        $result_max = $conn->query($sql_max);

        $min = $result_min->fetch_assoc();
        $max = $result_max->fetch_assoc();

        // Inicjalizacja zmiennej do sumowania kosztów
        $totalSum = 0;

        if ($result->num_rows > 0) {
            // Wyświetlanie tabeli
            // echo "<table border='1'><tr><th>Date</th><th>Total Energy (kWh)</th><th>Price per kWh</th><th>Total Cost</th></tr>";
            while($row = $result->fetch_assoc()) {
                // echo "<tr>
                //         <td>" . $row["date"] . "</td>
                //         <td>" . $row["pv_energy"] . "</td>
                //         <td>" . $row["kWh_price"] . "</td>
                //         <td>" . $row["total_cost"] . "</td>
                //     </tr>";
                // Sumowanie całkowitego kosztu
                $totalSum += $row["total_cost"];
            }
            // echo "</table>";

            // Wyświetlanie zsumowanego kosztu
            // echo "<p>Całkowity koszt energii: " . $totalSum . " PLN</p>";
            $response = array(
                'success' => 'yes',
                // 'dateRange' => array($min['MinDate'],$max['MaxDate']),
                // 'totalEnergyPrice' => $totalSum,
                'totalEnergyPrice' => round($totalSum,2)
                // 'data' => $data // Dodanie tablicy danych do odpowiedzi
            );
        } else {
            echo "0 wyników";
        }

        // Zamknięcie połączenia
        $conn->close();

        header('Content-Type: application/json');
        echo json_encode($response);
    }
?>